Bug 1004951 - Review Request: qtbrowserplugin - Qt Solutions Component: Browser Plugin
Review Request: qtbrowserplugin - Qt Solutions Component: Browser Plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 969212
  Show dependency treegraph
 
Reported: 2013-09-05 16:12 EDT by Orion Poplawski
Modified: 2013-09-22 20:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: qtbrowserplugin-2.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-05 16:12:10 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/qtbrowserplugin.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/qtbrowserplugin-2.4-1.fc19.src.rpm
Description: 
The QtBrowserPlugin solution is useful for implementing plugins
for web browser.

Fedora Account System Username: orion
Comment 1 Christopher Meng 2013-09-05 19:27:19 EDT
1.BuildRequires:  qt4-devel.

2.Is there any reason of %{_libdir}/*.a ?
Comment 2 Orion Poplawski 2013-09-05 21:17:16 EDT
(In reply to Christopher Meng from comment #1)
> 1.BuildRequires:  qt4-devel.

No, it's qt-devel.  Although I suppose I'm tied to version 4 via qmake-qt4. I'd prefer to keep it as is though.

> 2.Is there any reason of %{_libdir}/*.a ?

Lazy.  Changed.

* Thu Sep 5 2013 Orion Poplawski <orion@cora.nwra.com> - 2.4-2
- Use explicit name for library file

http://www.cora.nwra.com/~orion/fedora/qtbrowserplugin.spec
http://www.cora.nwra.com/~orion/fedora/qtbrowserplugin-2.4-2.fc19.src.rpm
Comment 3 Gwyn Ciesla 2013-09-06 08:37:46 EDT
Looking. . .
Comment 4 Gwyn Ciesla 2013-09-06 08:59:32 EDT
- rpmlint checks return:

qtbrowserplugin.spec: W: invalid-url Source0: qtbrowserplugin-2.4-80592b0e7145fb876ea0e84a6e3dadfd5f7481b6.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

Expected, git snapshot.

qtbrowserplugin-debuginfo.x86_64: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

This might be inevitable given how it's build, but check it out.

- package meets naming guidelines
- package meets packaging guidelines
- license ( BSD ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

So just the debuginfo package.
Comment 5 Orion Poplawski 2013-09-06 11:08:42 EDT
As near as I can determine, debuginfo is just not generated for static libraries because they are not executable ELF files.
Comment 6 Gwyn Ciesla 2013-09-06 11:09:44 EDT
Reasonable.

APPROVED.
Comment 7 Orion Poplawski 2013-09-06 11:13:02 EDT
New Package SCM Request
=======================
Package Name: qtbrowserplugin
Short Description: Qt Solutions Component: Browser Plugin
Owners: orion
Branches: f20 f19 f18 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-09-06 11:25:04 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-09-06 12:41:14 EDT
qtbrowserplugin-2.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qtbrowserplugin-2.4-2.fc20
Comment 10 Fedora Update System 2013-09-06 13:24:12 EDT
Package qtbrowserplugin-2.4-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qtbrowserplugin-2.4-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15936/qtbrowserplugin-2.4-2.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-09-22 20:46:12 EDT
qtbrowserplugin-2.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.